Ruka hadi maudhui

Hoteli

Pre-book check: confirms the rate is still bookable and its price.

post/v1/hotels/rates/{rateKey}/check

  • Inahitaji uthibitishaji

Vigezo

JinaMahaliAinaMaelezo
rateKey*njiastring

Majibu

200OKHotelRateCheckResponse

  • rateKeystring
  • hotelNamestringinaweza kuwa null
  • roomTypestringinaweza kuwa null
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • refundableboolean
  • priceChangedboolean
  • infoobject
  • expiresAtstring (date-time)
  • 404Not FoundMaelezo ya tatizo ya RFC 7807
  • 409ConflictMaelezo ya tatizo ya RFC 7807

Sampuli za msimbo

Programu kamili zinazotia sahihi ombi jinsi lango linavyolithibitisha. Badilisha YOUR_KEY_ID na YOUR_SECRET.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/rates/hr_Qm4Tz8WcptgovMal7tIjfJdr/check\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X POST "https://api.dubaitrip.com/v1/hotels/rates/hr_Qm4Tz8WcptgovMal7tIjfJdr/check" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"